# OSGeo::FDO::Schema::ObjectPropertyDefinition Class Reference
[OSGeo::FDO::Schema]

Inheritance diagram for OSGeo::FDO::Schema::ObjectPropertyDefinition:

[legend]

List of all members.

## Detailed Description

ObjectPropertyDefinition class derives PropertyDefinition and represents containment of an object or a collection of objects within another class. The class of the contained object must already be defined in the feature schema and cannot be abstract.

()

## Public Member Functions
__property OSGeo::FDO::Schema::ClassDefinition * | get_Class ()
| Gets a reference to the ClassDefinition that defines the type of this property.
__property OSGeo::FDO::Schema::DataPropertyDefinition * | get_IdentityProperty ()
| Gets a reference to an DataPropertyDefinition to use for uniquely identifying instances of the contained class within a single parent object instance. This value is only used for ObjectType_Collection and ObjectType_OrderedCollection object property types. The DataPropertyDefinition must belong to the ClassDefinition that defines the type of this property.
__property OSGeo::FDO::Schema::ObjectType | get_ObjectType ()
| Gets the type of this object property (value, collection, or ordered collection).
__property OSGeo::FDO::Schema::OrderType | get_OrderType ()
| Gets the order type of this object property (ascending or descending). This property is only applicable if the property type is set to ObjectType_OrderedCollection.
| ObjectPropertyDefinition (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a ObjectPropertyDefinition object based on an unmanaged instance of the object.
| ObjectPropertyDefinition (System::String *name, System::String *description, System::Boolean system)
| Constructs an instance of an ObjectPropertyDefinition using the specified arguments.
| ObjectPropertyDefinition (System::String *name, System::String *description)
| Constructs an instance of an ObjectPropertyDefinition using the specified arguments.
| ObjectPropertyDefinition ()
| Constructs a default instance of an ObjectPropertyDefinition.
__property System::Void | set_Class (OSGeo::FDO::Schema::ClassDefinition *value)
| Sets a reference to the ClassDefinition that defines the type of this property.
__property System::Void | set_IdentityProperty (OSGeo::FDO::Schema::DataPropertyDefinition *value)
| Sets a reference to an DataPropertyDefinition to use for uniquely identifying instances of the contained class within a single parent object instance. This value is only used for ObjectType_Collection and ObjectType_OrderedCollection object property types. The DataPropertyDefinition must belong to the ClassDefinition that defines the type of this property.
__property System::Void | set_ObjectType (OSGeo::FDO::Schema::ObjectType value)
| Sets the type of this object property (value, collection, or ordered collection).
__property System::Void | set_OrderType (OSGeo::FDO::Schema::OrderType value)
| Sets the order type of this object property (ascending or descending). This property is only applicable if the property type is set to ObjectType_OrderedCollection.